%global npm_name openshift-auth-proxy
%global enable_tests 0

%{?nodejs_find_provides_and_requires}

Summary:       Reverse proxy to authorize requests against OpenShift 3 
Name:          nodejs-%{npm_name}
Version:       0.0.22
Release:       1%{?dist}
License:       ASL 2.0
URL:           https://github.com/fabric8io/openshift-auth-proxy
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-devel
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch

%description
A reverse proxy that authenticates the request against OpenShift, retrieving user
information and setting the configured header with the appropriate details.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib openshift-auth-proxy.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%if 0%{?enable_tests}
%check
echo "Error: no test specified"
%endif

%files
%doc README.md secret.example
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 0.0.22-1
- Update to 0.0.22

* Wed Nov 09 2016 Troy Dawson <tdawson@redhat.com> - 0.0.21-1
- Update to 0.0.21
- Patch removed: request scope of oauth2 tokens
-- code was merged into upstream release

* Wed Aug 03 2016 Troy Dawson <tdawson@redhat.com> - 0.0.20-2
- Patch: request scope of oauth2 tokens

* Thu Oct 15 2015 Troy Dawson <tdawson@redhat.com> - 0.0.20-1
- Update to 0.0.20

* Thu Sep 03 2015 Troy Dawson <tdawson@redhat.com> - 0.0.19-1
- Initial spec file
